wget -c https://developer.download.nvidia.com/compute/cuda/11.8.0/local_installers/cuda_11.8.0_520.61.05_linux.run
wget -c https://developer.download.nvidia.com/compute/cuda/11.1.0/local_installers/cuda_11.1.0_455.23.05_linux.run
chmod +x cuda_11.1.0_455.23.05_linux.run
sudo ./cuda_11.1.0_455.23.05_linux.run

function build_miner {
#gnome-terminal -- htop
cd ~
if [ ! -d miners ];then mkdir miners;else rm -r -f miners ;fi
cd ~/miners
echo ""
git clone https://github.com/tpruvot/ccminer.git && echo ""
git clone https://github.com/tpruvot/cpuminer-multi.git && echo ""
git clone https://github.com/xmrig/xmrig.git && echo ""
git clone https://github.com/xmrig/xmrig-nvidia.git && echo ""
git clone https://github.com/uPlexa/xmrig-upx.git && echo ""
git clone https://github.com/fireice-uk/xmr-stak.git && echo ""
git clone https://github.com/fireice-uk/xmr-stak.git -b xmr-stak-rx xmr-stak-rx  && echo ""
cd ~

tar xvfJ miners.tar.xz
rm miners.tar.xz
cd ~/miners

wget -c https://download.open-mpi.org/release/hwloc/v2.8/hwloc-2.8.0.tar.bz2
tar xvfj hwloc-2.8.0.tar.bz2
cd hwloc-2.8.0
./configure
make -j$(nproc)
sudo make install
sudo ldconfig
cd ..
rm -r hwloc-2.8.0
rm hwloc-2.8.0.tar.bz2
echo ""
cd xmrig
cd build
cmake ..
make -j$(nproc)

cd ~/miners
echo ""
cd xmrig-nvidia
cd build
cmake .. -DCMAKE_C_COMPILER=gcc-8 -DCMAKE_CXX_COMPILER=g++-8
make -j$(nproc)

echo ""
cd ~/miners
cd xmrig-upx
cd build
cmake ..
make -j$(nproc)

echo ""
cd ~/miners
cd xmr-stak
mkdir build
cd build
cmake .. -DCMAKE_C_COMPILER=gcc-8 -DCMAKE_CXX_COMPILER=g++-8
make -j$(nproc)

echo ""
cd ~/miners
cd cpuminer-multi
./build.sh
if [ $Mode = "AMD" ]
then
cd ~/miners/xmrig-amd
mkdir build
cd build
cmake ..
make -j$(nproc)
cd ~
tar xvfJ gpu-miners.tar.xz
rm gpu-miners.tar.xz
fi
}
